<?php
// Datos dinámicos que queremos reemplazar en la plantilla
$datos = [
    'titulo' => 'Página de Usuario',
    'nombre' => 'Juan Pérez',
    'edad' => 30,
    'ciudad' => 'Madrid'
];

// Leer el archivo de plantilla
$plantilla = file_get_contents('plantilla.html');

// Reemplazar los placeholders con los valores de $datos
foreach ($datos as $clave => $valor) {
    $plantilla = str_replace('{' . $clave . '}', $valor, $plantilla);
}

// Nombre del archivo a generar
$nombreArchivo = 'pagina_generada.html';

// Abrir el archivo para escritura
$archivo = fopen($nombreArchivo, 'w');

// Escribir el contenido de la plantilla modificada en el archivo
if ($archivo) {
    fwrite($archivo, $plantilla);
    fclose($archivo); // Cerrar el archivo
    echo "El archivo HTML ha sido generado exitosamente.";
} else {
    echo "Error al crear el archivo.";
}
?>
    